# HealthCheck

Types:

```python
from Headless1.types import HealthCheckHealthCheckResponse
```

Methods:

- <code title="get /health">client.health_check.<a href="./src/Headless1/resources/health_check.py">health_check</a>() -> <a href="./src/Headless1/types/health_check_health_check_response.py">HealthCheckHealthCheckResponse</a></code>

# CallAgent

Types:

```python
from Headless1.types import CallAgentCallAgentResponse
```

Methods:

- <code title="post /call/{agent_id}">client.call_agent.<a href="./src/Headless1/resources/call_agent.py">call_agent</a>(agent_id, \*\*<a href="src/Headless1/types/call_agent_call_agent_params.py">params</a>) -> <a href="./src/Headless1/types/call_agent_call_agent_response.py">CallAgentCallAgentResponse</a></code>

# ProcessObjective

Types:

```python
from Headless1.types import ProcessObjectiveProcessObjectiveResponse
```

Methods:

- <code title="post /digest">client.process_objective.<a href="./src/Headless1/resources/process_objective.py">process_objective</a>(\*\*<a href="src/Headless1/types/process_objective_process_objective_params.py">params</a>) -> <a href="./src/Headless1/types/process_objective_process_objective_response.py">ProcessObjectiveProcessObjectiveResponse</a></code>

# CreateSchema

Types:

```python
from Headless1.types import CreateSchemaCreateSchemaResponse
```

Methods:

- <code title="post /schema/create">client.create_schema.<a href="./src/Headless1/resources/create_schema.py">create_schema</a>(\*\*<a href="src/Headless1/types/create_schema_create_schema_params.py">params</a>) -> <a href="./src/Headless1/types/create_schema_create_schema_response.py">CreateSchemaCreateSchemaResponse</a></code>

# Agents

Types:

```python
from Headless1.types import Agent
```

Methods:

- <code title="post /agents">client.agents.<a href="./src/Headless1/resources/agents.py">create</a>(\*\*<a href="src/Headless1/types/agent_create_params.py">params</a>) -> <a href="./src/Headless1/types/agent.py">Agent</a></code>
- <code title="get /agents/{agent_id}">client.agents.<a href="./src/Headless1/resources/agents.py">retrieve</a>(agent_id) -> <a href="./src/Headless1/types/agent.py">Agent</a></code>
- <code title="patch /agents/{agent_id}">client.agents.<a href="./src/Headless1/resources/agents.py">update</a>(agent_id, \*\*<a href="src/Headless1/types/agent_update_params.py">params</a>) -> None</code>
- <code title="delete /agents/{agent_id}">client.agents.<a href="./src/Headless1/resources/agents.py">delete</a>(agent_id) -> None</code>
